Bug 524344

Summary: setroubleshoot: SELinux is preventing /bin/bash "read" access on /lib/modules/2.6.31-23.fc12.x86_64/source.
Product: [Fedora] Fedora Reporter: vinod <vinodkmar>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dwalsh, jkubin, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:87e3f87ba50c0081e23a96adf3c256d49dbd747f169b93885bbef8c5b8416c03
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-20 21:07:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description vinod 2009-09-19 05:41:59 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /bin/bash "read" access on
/lib/modules/2.6.31-23.fc12.x86_64/source.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by sh. It is not expected that this access is
required by sh and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:modules_object_t:s0
Target Objects                /lib/modules/2.6.31-23.fc12.x86_64/source [
                              lnk_file ]
Source                        sh
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           kernel-2.6.31-23.fc12
Policy RPM                    selinux-policy-3.6.32-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-23.fc12.x86_64
                              #1 SMP Wed Sep 16 15:54:05 EDT 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 19 Sep 2009 11:04:18 AM IST
Last Seen                     Sat 19 Sep 2009 11:04:18 AM IST
Local ID                      99d8cc36-f9a7-4d56-be22-85572a113bde
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253338458.277:64): avc:  denied  { read } for  pid=2250 comm="sh" name="source" dev=sda6 ino=7424 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:modules_object_t:s0 tclass=lnk_file

node=(removed) type=SYSCALL msg=audit(1253338458.277:64): arch=c000003e syscall=4 success=yes exit=0 a0=220b6a0 a1=7fff8876ec20 a2=7fff8876ec20 a3=33 items=0 ppid=2247 pid=2250 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sh" exe="/bin/bash" subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= system_dbusd_t ==============
allow system_dbusd_t modules_object_t:lnk_file read;

Comment 1 Daniel Walsh 2009-09-19 11:13:36 UTC
Do you know what you were doing when you triggered this?